Query Custom Metrics
curl --request POST \
--url https://api.galileo.ai/v2/projects/{project_id}/metrics/custom_search \
--header 'Content-Type: application/json' \
--header 'Galileo-API-Key: <api-key>' \
--data '
{
"end_time": "2024-01-07T23:59:59Z",
"filter_tree": {
"and_": [
{
"filter": {
"case_sensitive": true,
"name": "input",
"operator": "contains",
"type": "text",
"value": "customer"
}
}
]
},
"group_by": "model",
"interval_minutes": 1440,
"log_stream_id": "c5fef527-51f6-49d0-800a-1859b678a098",
"metric_details": [
{
"aggregation": "Sum",
"id": "w1",
"metric_name": "num_total_tokens"
},
{
"aggregation": "Average",
"id": "w2",
"metric_name": "toxicity"
}
],
"start_time": "2024-01-01T00:00:00Z"
}
'import requests
url = "https://api.galileo.ai/v2/projects/{project_id}/metrics/custom_search"
payload = {
"end_time": "2024-01-07T23:59:59Z",
"filter_tree": { "and_": [{ "filter": {
"case_sensitive": True,
"name": "input",
"operator": "contains",
"type": "text",
"value": "customer"
} }] },
"group_by": "model",
"interval_minutes": 1440,
"log_stream_id": "c5fef527-51f6-49d0-800a-1859b678a098",
"metric_details": [
{
"aggregation": "Sum",
"id": "w1",
"metric_name": "num_total_tokens"
},
{
"aggregation": "Average",
"id": "w2",
"metric_name": "toxicity"
}
],
"start_time": "2024-01-01T00:00:00Z"
}
headers = {
"Galileo-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Galileo-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
end_time: '2024-01-07T23:59:59Z',
filter_tree: {
and_: [
{
filter: {
case_sensitive: true,
name: 'input',
operator: 'contains',
type: 'text',
value: 'customer'
}
}
]
},
group_by: 'model',
interval_minutes: 1440,
log_stream_id: 'c5fef527-51f6-49d0-800a-1859b678a098',
metric_details: [
{aggregation: 'Sum', id: 'w1', metric_name: 'num_total_tokens'},
{aggregation: 'Average', id: 'w2', metric_name: 'toxicity'}
],
start_time: '2024-01-01T00:00:00Z'
})
};
fetch('https://api.galileo.ai/v2/projects/{project_id}/metrics/custom_search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"group_by_columns": [
"<string>"
],
"aggregate_metrics": {},
"bucketed_metrics": {},
"ems_captured_error": false,
"standard_errors": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}trace
Query Custom Metrics
POST
/
v2
/
projects
/
{project_id}
/
metrics
/
custom_search
Query Custom Metrics
Authorizations
ClassicAPIKeyHeaderAPIKeyHeaderOAuth2PasswordBearerHTTPBasic
Path Parameters
Body
application/json
Include traces from this time onward.
Include traces up to this time.
List of metrics to aggregate with their widget IDs and aggregation types (max 100)
Maximum array length:
100Show child attributes
Show child attributes
Log stream id associated with the traces.
Experiment id associated with the traces.
Metrics testing id associated with the traces.
filter_tree
FilterLeaf[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]] · object
Filter expression tree for complex filtering
- FilterLeaf[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]]
- AndNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]]
- OrNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]]
- NotNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]]
Show child attributes
Show child attributes
Time interval in minutes for bucketing
Column to group by
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Whether any EMS error codes were encountered in the queried metrics
Structured EMS errors for each error code encountered, keyed by code
Show child attributes
Show child attributes
Was this page helpful?